package com.hyp.web.controller.reward;

import com.hyp.common.core.controller.BaseController;
import com.hyp.common.core.domain.AjaxResult;
import com.hyp.common.core.page.TableDataInfo;
import com.hyp.system.domain.dto.ApplyInfoListDTO;
import com.hyp.system.domain.vo.ApplyInfoListVO;
import com.hyp.web.controller.manager.ApplyInfoListManager;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * packageName com.hyp.web.controller.reward
 *
 * @author wangxy
 * @version JDK 8
 * @className AuditController
 * @date 2024/4/15
 * @description 审核
 */
@Api("审核")
@RestController
@RequestMapping("/reward/audit")
public class AuditController extends BaseController {

    @Resource
    private ApplyInfoListManager applyInfoListManager;

    @ApiOperation("审核列表")
    @PreAuthorize("@ss.hasPermi('reward:aduit:list')")
    @GetMapping("/list")
    public TableDataInfo list(ApplyInfoListDTO applyInfoListDTO) {
        startPage();
        List<ApplyInfoListVO> list = applyInfoListManager.selectApplyInfoList(applyInfoListDTO);
        return getDataTable(list);
    }

    @ApiOperation("审核通过")
    @GetMapping(value = "/approved/{applyId}")
    public AjaxResult approved(@PathVariable String applyId) {
        return toAjax(applyInfoListManager.approved(applyId));
    }

    @ApiOperation("审核不通过")
    @GetMapping(value = "/applyBack")
    public AjaxResult applyBack(@RequestParam String applyId,
                                @RequestParam(required = false) String applyMsg) {
        return toAjax(applyInfoListManager.applyBack(applyId,applyMsg));
    }


}
